set output_folder=openssl_output
set private_key_filename=private_key.pem
set public_cert_filename=public_cert.pem

md %output_folder%
openssl\bin\openssl req -x509 -newkey rsa:2048 -keyout %output_folder%/%private_key_filename% -out %output_folder%/%public_cert_filename% -days 730 -config openssl\share\openssl.cnf
openssl\bin\openssl pkcs12 -in %output_folder%/%public_cert_filename% -inkey %output_folder%/%private_key_filename% -export -out %output_folder%/certificate.pfx